- Processing
- p5.js
- Processing.py

- Processing Foundation

This reference is for Processing 3.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### AudioIn
Examples |
    import processing.sound.*;
    AudioIn in;

    void setup() {
      size(640, 360);
      background(255);

      // Create the Input stream
      in = new AudioIn(this, 0);
      in.play();
    }

    void draw() {
    }
Description | AudioIn let's you grab the audio input from your soundcard.
Methods |
start() | Start the Input Stream
play() | Start the Input Stream and route it to the Audio Hardware Output
stop() | Stop the Input Stream
amp() | Change the amplitude/volume of the input stream
add() | Offset the output of the input stream by given value
pan() | Move the sound in a stereo panorama
set() | Set multiple parameters at once
Constructor |
    AudioIn(parent, input channel)
Parameters |
parent | PApplet: typically use "this"
input channel | int: input channel

Updated on June 20, 2015 10:37:40pm UTC